#ifndef DECL_GLSL_DEBUGMODE
#define DECL_GLSL_DEBUGMODE(name, enumval, label)
#endif

// Don't include this file directly. It is included from special places, with different
// definitions of the `DECL_GLSL_DEBUGMODE()` macro.
// The list MUST be sorted by enumval.

DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_OFF, 0, "")
DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_COLORS, 1, "Color values")
DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_NORMALS, 2, "Normal values")
DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_SPECULAR, 3, "Specular values")
DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_LIGHT, 4, "Light values")

// Ends the list.
DECL_GLSL_DEBUGMODE(GLSL_DEBUGMODE_COUNT, 5, NULL)

#undef DECL_GLSL_DEBUGMODE